////////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2006, Wotif.com. All rights reserved.
//
// This is unpublished proprietary source code of Wotif.com.
// The copyright notice above does not evidence any actual or intended
// publication of such source code.
//
////////////////////////////////////////////////////////////////////////////////
package net.twasink.web;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import net.twasink.ejb.Greeter;

public class AppListener implements ServletContextListener {

    public void contextDestroyed(ServletContextEvent arg0) {
    }

    public void contextInitialized(ServletContextEvent arg0) {
        System.out.println(">>>>>>>>>>>>>>>>>>>> Hello,World");
        try {
            Greeter greeter = (Greeter) new InitialContext().lookup("java:comp/env/ejb/Greeter");
            if (greeter == null) {
                throw new RuntimeException("No Greeter found - are ejbs bound?");
            }
            System.out.println(">>>>>>>>>>>>>>>>>>>> Thank you, and good night");
        } catch (NamingException e) {
            throw new RuntimeException("Can not look up Greeter", e);
        }
    }

}
